Bug 98375 - [GTK] accessibility/secure-textfield-title-ui.html is failing
Summary: [GTK] accessibility/secure-textfield-title-ui.html is failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: Gtk, LayoutTestFailure
Depends on:
Blocks: 98347
  Show dependency treegraph
 
Reported: 2012-10-04 00:44 PDT by Zan Dobersek
Modified: 2015-05-01 12:40 PDT (History)
9 users (show)

See Also:


Attachments
Patch (3.09 KB, patch)
2012-10-16 12:34 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff
Patch (2.85 KB, patch)
2015-05-01 11:40 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2012-10-04 00:44:25 PDT
accessibility/secure-textfield-title-ui.html is failing on all GTK platforms.
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20webkit.org&tests=accessibility%2Fsecure-textfield-title-ui.html
Comment 1 Joanmarie Diggs (irc: joanie) 2012-10-16 11:46:04 PDT
This is another case where we have a mismatch between what we think AccessibilityUIElement::allAttributes() should be (all AtkObject object attributes) and what everyone else (or at least the mac port) thinks it should be (lots more and specific stuff).

I think bringing our allAttributes() into alignment with everyone else's makes good sense and will lead to additional regression detection.

I'll take this one.
Comment 2 Joanmarie Diggs (irc: joanie) 2012-10-16 12:34:28 PDT
Created attachment 168999 [details]
Patch
Comment 3 Joanmarie Diggs (irc: joanie) 2012-10-16 12:36:33 PDT
Comment on attachment 168999 [details]
Patch

Problem with not enough sleep and automated tools.... Apologies for the noise. This is for bug 98374.
Comment 4 Joanmarie Diggs (irc: joanie) 2015-05-01 11:40:17 PDT
Created attachment 252159 [details]
Patch
Comment 5 WebKit Commit Bot 2015-05-01 12:40:45 PDT
Comment on attachment 252159 [details]
Patch

Clearing flags on attachment: 252159

Committed r183684: <http://trac.webkit.org/changeset/183684>
Comment 6 WebKit Commit Bot 2015-05-01 12:40:49 PDT
All reviewed patches have been landed.  Closing bug.